"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.queueThrottle = void 0;
const rxjs_1 = require("rxjs");
const lodash_1 = require("lodash");
const queueThrottle = (cb, throttleSeconds) => {
    const subject = new rxjs_1.Subject();
    const debounced = lodash_1.debounce(() => subject.next(null), throttleSeconds * 1000, {
        maxWait: throttleSeconds * 1000
    });
    const sub = subject
        .pipe(rxjs_1.concatMap(() => rxjs_1.from(cb())))
        .subscribe();
    return {
        trigger: () => debounced(),
        unsubscribe: () => sub.unsubscribe()
    };
};
exports.queueThrottle = queueThrottle;
//# sourceMappingURL=queueThrottle.js.map