"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var PersistanceService_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.PersistanceService = void 0;
const common_1 = require("@nestjs/common");
const EnergyTransferRequest_repository_1 = require("./repositories/EnergyTransferRequest.repository");
const getKey = (certificateId) => `persistance_service_${certificateId}`;
let PersistanceService = PersistanceService_1 = class PersistanceService {
    constructor(cacheManager, etrRepository) {
        this.cacheManager = cacheManager;
        this.etrRepository = etrRepository;
        this.logger = new common_1.Logger(PersistanceService_1.name);
    }
    async markTemporarilyPersisted(certificateId) {
        const week_in_seconds = 7 * 24 * 60 * 60;
        await this.cacheManager.set(getKey(certificateId), true, {
            ttl: week_in_seconds
        });
    }
    async isTemporarilyPersisted(certificateId) {
        return (await this.cacheManager.get(getKey(certificateId))) ?? false;
    }
    async markEtrPersisted(certificateId) {
        const etr = await this.etrRepository.findByCertificateId(certificateId);
        if (!etr) {
            this.logger.error(`Trying to mark ETR with certificateId: ${certificateId} as persisted, but such doesn't exist`);
            return;
        }
        etr.persisted();
        await this.etrRepository.save(etr);
    }
};
PersistanceService = PersistanceService_1 = __decorate([
    common_1.Injectable(),
    __param(0, common_1.Inject(common_1.CACHE_MANAGER)),
    __param(1, common_1.Inject(EnergyTransferRequest_repository_1.ENERGY_TRANSFER_REQUEST_REPOSITORY)),
    __metadata("design:paramtypes", [Object, Object])
], PersistanceService);
exports.PersistanceService = PersistanceService;
//# sourceMappingURL=persistance.service.js.map